Ошибка запуска скрипта Lua в терминале QUIK c новой библиотекой 5.0


Ошибка запуска скрипта Lua в терминале QUIK c новой библиотекой 5.0
Atom Ответить
30.03.2020


Для тестирования новой версии API 5.0 поставил через nuget все требуемые компоненты. Теперь их много.
В том числе установил и StockSharp.Quik.5.0.1 и StockSharp.QuikLua.5.0.0.
Проект скомпилировался без ошибок.

Далее в терминале Quik пытаюсь запустить скрипт StockSharp.Quik.lua. В ответ ошибка.
Посмотрел лог - не может найти какой - то файл. Лог прикрепил.




Спасибо:




2 Ответов
Support

Фотография
Дата: 30.03.2020
Ответить


При подключении пакета StockSharp.Quik.Lua в проект и его последующей компиляции происходит копирование всех зависимостей, включая проекты Ecng. Вы можете создать пустой проект и добавить туда нугет пакет и скомпилировать. После этого в папку bin\Debug\net48 будут все необходимый файлы. Сам скрипт .lua пока не копируется. Ваша ошибка говорит о том, что вы скопировали только файлы пакеты, но не включили зависимости.
Спасибо:

Mikhail Sukhov

Фотография
Автор статей Программист Трейдер
Дата: 07.04.2020
Ответить


Дополню ответ саппорта. Сегодня мы выложили новую утилиту NugetInstaller, которая самостоятельно скачивает в заданную папку необходимые компоненты для QUIK и не только https://stocksharp.ru/ne...65/rukovodstvo-po-nuget/
Спасибо:


Добавить файлы через драг-н-дроп, , или вставить из буфера обмена.

loading
clippy